# 使用 ASP.NET Core 8.0 运行时基础镜像
FROM mcr.microsoft.com/dotnet/aspnet:8.0 AS base

# 设置工作目录
WORKDIR /app

# 将当前目录（发布文件夹）的所有内容复制到容器内的 /app 目录
COPY . .

# 设置时区（可选）
ENV TZ=Asia/Shanghai
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone


# 注意：这里只是声明，实际映射需要在运行容器时指定
EXPOSE 8080

# 启动应用
ENTRYPOINT ["dotnet", "QYZH.InteractiveMagazine.WebApi.dll"]